Bug 499279 - Review Request: xfce4-cddrive-plugin - Xfce panel plugin to open or close a CD-ROM drive tray
Review Request: xfce4-cddrive-plugin - Xfce panel plugin to open or close a C...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 18:45 EDT by Christoph Wickert
Modified: 2009-05-21 19:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.0.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 19:25:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-05-05 18:45:21 EDT
Spec URL: http://cwickert.fedorapeople.org/review/xfce4-cddrive-plugin.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfce4-cddrive-plugin-0.0.1-1.fc11.src.rpm
Description: This plugin puts a button in the Xfce panel to open or close a CD-ROM drive tray. Additionally, the button icon reports the content of the drive. The icon indicates if there is a disc in the drive, if it is mounted, and the type of the disc (regular CD-ROM, audio, DVD...).  You can also mount or unmount the disc via the plugin menu.
Comment 1 Susi Lehtola 2009-05-06 03:54:41 EDT
- You're BRing xfce4-panel-devel and hal-devel, aren't dependencies of xfce4-panel and hal automatically picked up? Note different versions in xfce4-panel:

BuildRequires:  xfce4-panel-devel >= 4.3.99.2
Requires:       xfce4-panel >= 4.4.0

[OK, xfce4-panel requirement has to be explicit for dir ownership.]


rpmlint output is clean.


MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
- Add missing comma to second line of BRs.

MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

The package has been

APPROVED
Comment 2 Christoph Wickert 2009-05-06 09:18:28 EDT
(In reply to comment #1)
> - You're BRing xfce4-panel-devel and hal-devel, aren't dependencies of
> xfce4-panel and hal automatically picked up? Note different versions in
> xfce4-panel:
> 
> BuildRequires:  xfce4-panel-devel >= 4.3.99.2
> Requires:       xfce4-panel >= 4.4.0

Hal is not picked up automatically, only hal-libs is pulled in, not hald.

xfce4-panel will be pulled in automatically but the different versions are intended: BuildRequires is as low as possible to make it easier to rebuild the package on other branches/distros/ as well. Requirements are adjusted to follow the versions on our repos more closely.


New Package CVS Request
=======================
Package Name: xfce4-cddrive-plugin
Short Description: Xfce panel plugin to open or close a CD-ROM drive tray
Owners: cwickert
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-05-06 17:16:53 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-12 00:07:30 EDT
xfce4-cddrive-plugin-0.0.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce4-cddrive-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4814
Comment 5 Fedora Update System 2009-05-21 19:25:10 EDT
xfce4-cddrive-plugin-0.0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.